Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network228.167.128.0/17
Usable hosts32,766
Subnet mask255.255.128.0
Addresses32,768
Network address
228.167.128.0
Broadcast address
228.167.255.255
First usable
228.167.128.1
Last usable
228.167.255.254
Usable hosts
32,766 (32,768 less the network and broadcast addresses)
Subnet mask
255.255.128.0
Wildcard mask
0.0.127.255 (Cisco ACLs, OSPF)
Prefix length
/17
Type
Multicast 224.0.0.0/4
One-to-many traffic, such as IPTV and routing protocols
Old class
D (multicast)
As numbers
Hex E4A78000 · Integer 3836182528 to 3836215295
Reverse DNS zones
128.167.228.in-addr.arpa
129.167.228.in-addr.arpa
130.167.228.in-addr.arpa
131.167.228.in-addr.arpa
132.167.228.in-addr.arpa
133.167.228.in-addr.arpa
134.167.228.in-addr.arpa
135.167.228.in-addr.arpa
136.167.228.in-addr.arpa
137.167.228.in-addr.arpa
138.167.228.in-addr.arpa
139.167.228.in-addr.arpa
140.167.228.in-addr.arpa
141.167.228.in-addr.arpa
142.167.228.in-addr.arpa
143.167.228.in-addr.arpa
and 112 more
/17 is not on a 8-bit boundary, so it takes 128 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11100100.10100111.10000000.00000000228.167.128.0
Subnet mask11111111.11111111.10000000.00000000255.255.128.0
Network11100100.10100111.10000000.00000000228.167.128.0
Broadcast11100100.10100111.11111111.11111111228.167.255.255
Split into smaller subnets/28

228.167.128.0/17 makes 2,048 subnets of /28; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1228.167.128.0/28228.167.128.1 to 228.167.128.14228.167.128.1514
2228.167.128.16/28228.167.128.17 to 228.167.128.30228.167.128.3114
3228.167.128.32/28228.167.128.33 to 228.167.128.46228.167.128.4714
4228.167.128.48/28228.167.128.49 to 228.167.128.62228.167.128.6314
5228.167.128.64/28228.167.128.65 to 228.167.128.78228.167.128.7914
6228.167.128.80/28228.167.128.81 to 228.167.128.94228.167.128.9514
7228.167.128.96/28228.167.128.97 to 228.167.128.110228.167.128.11114
8228.167.128.112/28228.167.128.113 to 228.167.128.126228.167.128.12714
9228.167.128.128/28228.167.128.129 to 228.167.128.142228.167.128.14314
10228.167.128.144/28228.167.128.145 to 228.167.128.158228.167.128.15914
11228.167.128.160/28228.167.128.161 to 228.167.128.174228.167.128.17514
12228.167.128.176/28228.167.128.177 to 228.167.128.190228.167.128.19114
13228.167.128.192/28228.167.128.193 to 228.167.128.206228.167.128.20714
14228.167.128.208/28228.167.128.209 to 228.167.128.222228.167.128.22314
15228.167.128.224/28228.167.128.225 to 228.167.128.238228.167.128.23914
16228.167.128.240/28228.167.128.241 to 228.167.128.254228.167.128.25514
17228.167.129.0/28228.167.129.1 to 228.167.129.14228.167.129.1514
18228.167.129.16/28228.167.129.17 to 228.167.129.30228.167.129.3114
19228.167.129.32/28228.167.129.33 to 228.167.129.46228.167.129.4714
20228.167.129.48/28228.167.129.49 to 228.167.129.62228.167.129.6314
21228.167.129.64/28228.167.129.65 to 228.167.129.78228.167.129.7914
22228.167.129.80/28228.167.129.81 to 228.167.129.94228.167.129.9514
23228.167.129.96/28228.167.129.97 to 228.167.129.110228.167.129.11114
24228.167.129.112/28228.167.129.113 to 228.167.129.126228.167.129.12714
25228.167.129.128/28228.167.129.129 to 228.167.129.142228.167.129.14314
26228.167.129.144/28228.167.129.145 to 228.167.129.158228.167.129.15914
27228.167.129.160/28228.167.129.161 to 228.167.129.174228.167.129.17514
28228.167.129.176/28228.167.129.177 to 228.167.129.190228.167.129.19114
29228.167.129.192/28228.167.129.193 to 228.167.129.206228.167.129.20714
30228.167.129.208/28228.167.129.209 to 228.167.129.222228.167.129.22314
31228.167.129.224/28228.167.129.225 to 228.167.129.238228.167.129.23914
32228.167.129.240/28228.167.129.241 to 228.167.129.254228.167.129.25514
33228.167.130.0/28228.167.130.1 to 228.167.130.14228.167.130.1514
34228.167.130.16/28228.167.130.17 to 228.167.130.30228.167.130.3114
35228.167.130.32/28228.167.130.33 to 228.167.130.46228.167.130.4714
36228.167.130.48/28228.167.130.49 to 228.167.130.62228.167.130.6314
37228.167.130.64/28228.167.130.65 to 228.167.130.78228.167.130.7914
38228.167.130.80/28228.167.130.81 to 228.167.130.94228.167.130.9514
39228.167.130.96/28228.167.130.97 to 228.167.130.110228.167.130.11114
40228.167.130.112/28228.167.130.113 to 228.167.130.126228.167.130.12714
41228.167.130.128/28228.167.130.129 to 228.167.130.142228.167.130.14314
42228.167.130.144/28228.167.130.145 to 228.167.130.158228.167.130.15914
43228.167.130.160/28228.167.130.161 to 228.167.130.174228.167.130.17514
44228.167.130.176/28228.167.130.177 to 228.167.130.190228.167.130.19114
45228.167.130.192/28228.167.130.193 to 228.167.130.206228.167.130.20714
46228.167.130.208/28228.167.130.209 to 228.167.130.222228.167.130.22314
47228.167.130.224/28228.167.130.225 to 228.167.130.238228.167.130.23914
48228.167.130.240/28228.167.130.241 to 228.167.130.254228.167.130.25514
49228.167.131.0/28228.167.131.1 to 228.167.131.14228.167.131.1514
50228.167.131.16/28228.167.131.17 to 228.167.131.30228.167.131.3114
51228.167.131.32/28228.167.131.33 to 228.167.131.46228.167.131.4714
52228.167.131.48/28228.167.131.49 to 228.167.131.62228.167.131.6314
53228.167.131.64/28228.167.131.65 to 228.167.131.78228.167.131.7914
54228.167.131.80/28228.167.131.81 to 228.167.131.94228.167.131.9514
55228.167.131.96/28228.167.131.97 to 228.167.131.110228.167.131.11114
56228.167.131.112/28228.167.131.113 to 228.167.131.126228.167.131.12714
57228.167.131.128/28228.167.131.129 to 228.167.131.142228.167.131.14314
58228.167.131.144/28228.167.131.145 to 228.167.131.158228.167.131.15914
59228.167.131.160/28228.167.131.161 to 228.167.131.174228.167.131.17514
60228.167.131.176/28228.167.131.177 to 228.167.131.190228.167.131.19114
61228.167.131.192/28228.167.131.193 to 228.167.131.206228.167.131.20714
62228.167.131.208/28228.167.131.209 to 228.167.131.222228.167.131.22314
63228.167.131.224/28228.167.131.225 to 228.167.131.238228.167.131.23914
64228.167.131.240/28228.167.131.241 to 228.167.131.254228.167.131.25514
65228.167.132.0/28228.167.132.1 to 228.167.132.14228.167.132.1514
66228.167.132.16/28228.167.132.17 to 228.167.132.30228.167.132.3114
67228.167.132.32/28228.167.132.33 to 228.167.132.46228.167.132.4714
68228.167.132.48/28228.167.132.49 to 228.167.132.62228.167.132.6314
69228.167.132.64/28228.167.132.65 to 228.167.132.78228.167.132.7914
70228.167.132.80/28228.167.132.81 to 228.167.132.94228.167.132.9514
71228.167.132.96/28228.167.132.97 to 228.167.132.110228.167.132.11114
72228.167.132.112/28228.167.132.113 to 228.167.132.126228.167.132.12714
73228.167.132.128/28228.167.132.129 to 228.167.132.142228.167.132.14314
74228.167.132.144/28228.167.132.145 to 228.167.132.158228.167.132.15914
75228.167.132.160/28228.167.132.161 to 228.167.132.174228.167.132.17514
76228.167.132.176/28228.167.132.177 to 228.167.132.190228.167.132.19114
77228.167.132.192/28228.167.132.193 to 228.167.132.206228.167.132.20714
78228.167.132.208/28228.167.132.209 to 228.167.132.222228.167.132.22314
79228.167.132.224/28228.167.132.225 to 228.167.132.238228.167.132.23914
80228.167.132.240/28228.167.132.241 to 228.167.132.254228.167.132.25514
81228.167.133.0/28228.167.133.1 to 228.167.133.14228.167.133.1514
82228.167.133.16/28228.167.133.17 to 228.167.133.30228.167.133.3114
83228.167.133.32/28228.167.133.33 to 228.167.133.46228.167.133.4714
84228.167.133.48/28228.167.133.49 to 228.167.133.62228.167.133.6314
85228.167.133.64/28228.167.133.65 to 228.167.133.78228.167.133.7914
86228.167.133.80/28228.167.133.81 to 228.167.133.94228.167.133.9514
87228.167.133.96/28228.167.133.97 to 228.167.133.110228.167.133.11114
88228.167.133.112/28228.167.133.113 to 228.167.133.126228.167.133.12714
89228.167.133.128/28228.167.133.129 to 228.167.133.142228.167.133.14314
90228.167.133.144/28228.167.133.145 to 228.167.133.158228.167.133.15914
91228.167.133.160/28228.167.133.161 to 228.167.133.174228.167.133.17514
92228.167.133.176/28228.167.133.177 to 228.167.133.190228.167.133.19114
93228.167.133.192/28228.167.133.193 to 228.167.133.206228.167.133.20714
94228.167.133.208/28228.167.133.209 to 228.167.133.222228.167.133.22314
95228.167.133.224/28228.167.133.225 to 228.167.133.238228.167.133.23914
96228.167.133.240/28228.167.133.241 to 228.167.133.254228.167.133.25514
97228.167.134.0/28228.167.134.1 to 228.167.134.14228.167.134.1514
98228.167.134.16/28228.167.134.17 to 228.167.134.30228.167.134.3114
99228.167.134.32/28228.167.134.33 to 228.167.134.46228.167.134.4714
100228.167.134.48/28228.167.134.49 to 228.167.134.62228.167.134.6314
101228.167.134.64/28228.167.134.65 to 228.167.134.78228.167.134.7914
102228.167.134.80/28228.167.134.81 to 228.167.134.94228.167.134.9514
103228.167.134.96/28228.167.134.97 to 228.167.134.110228.167.134.11114
104228.167.134.112/28228.167.134.113 to 228.167.134.126228.167.134.12714
105228.167.134.128/28228.167.134.129 to 228.167.134.142228.167.134.14314
106228.167.134.144/28228.167.134.145 to 228.167.134.158228.167.134.15914
107228.167.134.160/28228.167.134.161 to 228.167.134.174228.167.134.17514
108228.167.134.176/28228.167.134.177 to 228.167.134.190228.167.134.19114
109228.167.134.192/28228.167.134.193 to 228.167.134.206228.167.134.20714
110228.167.134.208/28228.167.134.209 to 228.167.134.222228.167.134.22314
111228.167.134.224/28228.167.134.225 to 228.167.134.238228.167.134.23914
112228.167.134.240/28228.167.134.241 to 228.167.134.254228.167.134.25514
113228.167.135.0/28228.167.135.1 to 228.167.135.14228.167.135.1514
114228.167.135.16/28228.167.135.17 to 228.167.135.30228.167.135.3114
115228.167.135.32/28228.167.135.33 to 228.167.135.46228.167.135.4714
116228.167.135.48/28228.167.135.49 to 228.167.135.62228.167.135.6314
117228.167.135.64/28228.167.135.65 to 228.167.135.78228.167.135.7914
118228.167.135.80/28228.167.135.81 to 228.167.135.94228.167.135.9514
119228.167.135.96/28228.167.135.97 to 228.167.135.110228.167.135.11114
120228.167.135.112/28228.167.135.113 to 228.167.135.126228.167.135.12714
121228.167.135.128/28228.167.135.129 to 228.167.135.142228.167.135.14314
122228.167.135.144/28228.167.135.145 to 228.167.135.158228.167.135.15914
123228.167.135.160/28228.167.135.161 to 228.167.135.174228.167.135.17514
124228.167.135.176/28228.167.135.177 to 228.167.135.190228.167.135.19114
125228.167.135.192/28228.167.135.193 to 228.167.135.206228.167.135.20714
126228.167.135.208/28228.167.135.209 to 228.167.135.222228.167.135.22314
127228.167.135.224/28228.167.135.225 to 228.167.135.238228.167.135.23914
128228.167.135.240/28228.167.135.241 to 228.167.135.254228.167.135.25514
129228.167.136.0/28228.167.136.1 to 228.167.136.14228.167.136.1514
130228.167.136.16/28228.167.136.17 to 228.167.136.30228.167.136.3114
131228.167.136.32/28228.167.136.33 to 228.167.136.46228.167.136.4714
132228.167.136.48/28228.167.136.49 to 228.167.136.62228.167.136.6314
133228.167.136.64/28228.167.136.65 to 228.167.136.78228.167.136.7914
134228.167.136.80/28228.167.136.81 to 228.167.136.94228.167.136.9514
135228.167.136.96/28228.167.136.97 to 228.167.136.110228.167.136.11114
136228.167.136.112/28228.167.136.113 to 228.167.136.126228.167.136.12714
137228.167.136.128/28228.167.136.129 to 228.167.136.142228.167.136.14314
138228.167.136.144/28228.167.136.145 to 228.167.136.158228.167.136.15914
139228.167.136.160/28228.167.136.161 to 228.167.136.174228.167.136.17514
140228.167.136.176/28228.167.136.177 to 228.167.136.190228.167.136.19114
141228.167.136.192/28228.167.136.193 to 228.167.136.206228.167.136.20714
142228.167.136.208/28228.167.136.209 to 228.167.136.222228.167.136.22314
143228.167.136.224/28228.167.136.225 to 228.167.136.238228.167.136.23914
144228.167.136.240/28228.167.136.241 to 228.167.136.254228.167.136.25514
145228.167.137.0/28228.167.137.1 to 228.167.137.14228.167.137.1514
146228.167.137.16/28228.167.137.17 to 228.167.137.30228.167.137.3114
147228.167.137.32/28228.167.137.33 to 228.167.137.46228.167.137.4714
148228.167.137.48/28228.167.137.49 to 228.167.137.62228.167.137.6314
149228.167.137.64/28228.167.137.65 to 228.167.137.78228.167.137.7914
150228.167.137.80/28228.167.137.81 to 228.167.137.94228.167.137.9514
151228.167.137.96/28228.167.137.97 to 228.167.137.110228.167.137.11114
152228.167.137.112/28228.167.137.113 to 228.167.137.126228.167.137.12714
153228.167.137.128/28228.167.137.129 to 228.167.137.142228.167.137.14314
154228.167.137.144/28228.167.137.145 to 228.167.137.158228.167.137.15914
155228.167.137.160/28228.167.137.161 to 228.167.137.174228.167.137.17514
156228.167.137.176/28228.167.137.177 to 228.167.137.190228.167.137.19114
157228.167.137.192/28228.167.137.193 to 228.167.137.206228.167.137.20714
158228.167.137.208/28228.167.137.209 to 228.167.137.222228.167.137.22314
159228.167.137.224/28228.167.137.225 to 228.167.137.238228.167.137.23914
160228.167.137.240/28228.167.137.241 to 228.167.137.254228.167.137.25514
161228.167.138.0/28228.167.138.1 to 228.167.138.14228.167.138.1514
162228.167.138.16/28228.167.138.17 to 228.167.138.30228.167.138.3114
163228.167.138.32/28228.167.138.33 to 228.167.138.46228.167.138.4714
164228.167.138.48/28228.167.138.49 to 228.167.138.62228.167.138.6314
165228.167.138.64/28228.167.138.65 to 228.167.138.78228.167.138.7914
166228.167.138.80/28228.167.138.81 to 228.167.138.94228.167.138.9514
167228.167.138.96/28228.167.138.97 to 228.167.138.110228.167.138.11114
168228.167.138.112/28228.167.138.113 to 228.167.138.126228.167.138.12714
169228.167.138.128/28228.167.138.129 to 228.167.138.142228.167.138.14314
170228.167.138.144/28228.167.138.145 to 228.167.138.158228.167.138.15914
171228.167.138.160/28228.167.138.161 to 228.167.138.174228.167.138.17514
172228.167.138.176/28228.167.138.177 to 228.167.138.190228.167.138.19114
173228.167.138.192/28228.167.138.193 to 228.167.138.206228.167.138.20714
174228.167.138.208/28228.167.138.209 to 228.167.138.222228.167.138.22314
175228.167.138.224/28228.167.138.225 to 228.167.138.238228.167.138.23914
176228.167.138.240/28228.167.138.241 to 228.167.138.254228.167.138.25514
177228.167.139.0/28228.167.139.1 to 228.167.139.14228.167.139.1514
178228.167.139.16/28228.167.139.17 to 228.167.139.30228.167.139.3114
179228.167.139.32/28228.167.139.33 to 228.167.139.46228.167.139.4714
180228.167.139.48/28228.167.139.49 to 228.167.139.62228.167.139.6314
181228.167.139.64/28228.167.139.65 to 228.167.139.78228.167.139.7914
182228.167.139.80/28228.167.139.81 to 228.167.139.94228.167.139.9514
183228.167.139.96/28228.167.139.97 to 228.167.139.110228.167.139.11114
184228.167.139.112/28228.167.139.113 to 228.167.139.126228.167.139.12714
185228.167.139.128/28228.167.139.129 to 228.167.139.142228.167.139.14314
186228.167.139.144/28228.167.139.145 to 228.167.139.158228.167.139.15914
187228.167.139.160/28228.167.139.161 to 228.167.139.174228.167.139.17514
188228.167.139.176/28228.167.139.177 to 228.167.139.190228.167.139.19114
189228.167.139.192/28228.167.139.193 to 228.167.139.206228.167.139.20714
190228.167.139.208/28228.167.139.209 to 228.167.139.222228.167.139.22314
191228.167.139.224/28228.167.139.225 to 228.167.139.238228.167.139.23914
192228.167.139.240/28228.167.139.241 to 228.167.139.254228.167.139.25514
193228.167.140.0/28228.167.140.1 to 228.167.140.14228.167.140.1514
194228.167.140.16/28228.167.140.17 to 228.167.140.30228.167.140.3114
195228.167.140.32/28228.167.140.33 to 228.167.140.46228.167.140.4714
196228.167.140.48/28228.167.140.49 to 228.167.140.62228.167.140.6314
197228.167.140.64/28228.167.140.65 to 228.167.140.78228.167.140.7914
198228.167.140.80/28228.167.140.81 to 228.167.140.94228.167.140.9514
199228.167.140.96/28228.167.140.97 to 228.167.140.110228.167.140.11114
200228.167.140.112/28228.167.140.113 to 228.167.140.126228.167.140.12714
201228.167.140.128/28228.167.140.129 to 228.167.140.142228.167.140.14314
202228.167.140.144/28228.167.140.145 to 228.167.140.158228.167.140.15914
203228.167.140.160/28228.167.140.161 to 228.167.140.174228.167.140.17514
204228.167.140.176/28228.167.140.177 to 228.167.140.190228.167.140.19114
205228.167.140.192/28228.167.140.193 to 228.167.140.206228.167.140.20714
206228.167.140.208/28228.167.140.209 to 228.167.140.222228.167.140.22314
207228.167.140.224/28228.167.140.225 to 228.167.140.238228.167.140.23914
208228.167.140.240/28228.167.140.241 to 228.167.140.254228.167.140.25514
209228.167.141.0/28228.167.141.1 to 228.167.141.14228.167.141.1514
210228.167.141.16/28228.167.141.17 to 228.167.141.30228.167.141.3114
211228.167.141.32/28228.167.141.33 to 228.167.141.46228.167.141.4714
212228.167.141.48/28228.167.141.49 to 228.167.141.62228.167.141.6314
213228.167.141.64/28228.167.141.65 to 228.167.141.78228.167.141.7914
214228.167.141.80/28228.167.141.81 to 228.167.141.94228.167.141.9514
215228.167.141.96/28228.167.141.97 to 228.167.141.110228.167.141.11114
216228.167.141.112/28228.167.141.113 to 228.167.141.126228.167.141.12714
217228.167.141.128/28228.167.141.129 to 228.167.141.142228.167.141.14314
218228.167.141.144/28228.167.141.145 to 228.167.141.158228.167.141.15914
219228.167.141.160/28228.167.141.161 to 228.167.141.174228.167.141.17514
220228.167.141.176/28228.167.141.177 to 228.167.141.190228.167.141.19114
221228.167.141.192/28228.167.141.193 to 228.167.141.206228.167.141.20714
222228.167.141.208/28228.167.141.209 to 228.167.141.222228.167.141.22314
223228.167.141.224/28228.167.141.225 to 228.167.141.238228.167.141.23914
224228.167.141.240/28228.167.141.241 to 228.167.141.254228.167.141.25514
225228.167.142.0/28228.167.142.1 to 228.167.142.14228.167.142.1514
226228.167.142.16/28228.167.142.17 to 228.167.142.30228.167.142.3114
227228.167.142.32/28228.167.142.33 to 228.167.142.46228.167.142.4714
228228.167.142.48/28228.167.142.49 to 228.167.142.62228.167.142.6314
229228.167.142.64/28228.167.142.65 to 228.167.142.78228.167.142.7914
230228.167.142.80/28228.167.142.81 to 228.167.142.94228.167.142.9514
231228.167.142.96/28228.167.142.97 to 228.167.142.110228.167.142.11114
232228.167.142.112/28228.167.142.113 to 228.167.142.126228.167.142.12714
233228.167.142.128/28228.167.142.129 to 228.167.142.142228.167.142.14314
234228.167.142.144/28228.167.142.145 to 228.167.142.158228.167.142.15914
235228.167.142.160/28228.167.142.161 to 228.167.142.174228.167.142.17514
236228.167.142.176/28228.167.142.177 to 228.167.142.190228.167.142.19114
237228.167.142.192/28228.167.142.193 to 228.167.142.206228.167.142.20714
238228.167.142.208/28228.167.142.209 to 228.167.142.222228.167.142.22314
239228.167.142.224/28228.167.142.225 to 228.167.142.238228.167.142.23914
240228.167.142.240/28228.167.142.241 to 228.167.142.254228.167.142.25514
241228.167.143.0/28228.167.143.1 to 228.167.143.14228.167.143.1514
242228.167.143.16/28228.167.143.17 to 228.167.143.30228.167.143.3114
243228.167.143.32/28228.167.143.33 to 228.167.143.46228.167.143.4714
244228.167.143.48/28228.167.143.49 to 228.167.143.62228.167.143.6314
245228.167.143.64/28228.167.143.65 to 228.167.143.78228.167.143.7914
246228.167.143.80/28228.167.143.81 to 228.167.143.94228.167.143.9514
247228.167.143.96/28228.167.143.97 to 228.167.143.110228.167.143.11114
248228.167.143.112/28228.167.143.113 to 228.167.143.126228.167.143.12714
249228.167.143.128/28228.167.143.129 to 228.167.143.142228.167.143.14314
250228.167.143.144/28228.167.143.145 to 228.167.143.158228.167.143.15914
251228.167.143.160/28228.167.143.161 to 228.167.143.174228.167.143.17514
252228.167.143.176/28228.167.143.177 to 228.167.143.190228.167.143.19114
253228.167.143.192/28228.167.143.193 to 228.167.143.206228.167.143.20714
254228.167.143.208/28228.167.143.209 to 228.167.143.222228.167.143.22314
255228.167.143.224/28228.167.143.225 to 228.167.143.238228.167.143.23914
256228.167.143.240/28228.167.143.241 to 228.167.143.254228.167.143.25514

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses